setTimeout(function () {
            var videoObj = document.getElementsByTagName("video");
            if (videoObj.length == 0) {
                videoObj = document.getElementsByTagName("iframe");
            }
            var videoEle;
            if (videoObj.length == 1) {
                videoEle = videoObj[0];
            } else {
                for (var i = 0; i < videoObj.length; i++) {
                    if (videoObj[i].offsetHeight > 0) {
                        videoEle = videoObj[i];
                        break;
                    }
                }
            }
            if (videoEle) {
                if (getElementTop(videoEle) == 0 && videoEle.offsetWidth == 0 && videoEle.offsetHeight == 0) {
                    videoEle.addEventListener("play", function () {
                        toApp.setVideoPosition(getElementTop(videoEle), videoEle.offsetWidth, videoEle.offsetHeight, true, document.URL);
                        try { videoEle.pause(); videoEle.muted = true; } catch (e) { console.log(e); }
                    });
                } else {
                    toApp.setVideoPosition(getElementTop(videoEle), videoEle.offsetWidth, videoEle.offsetHeight, false, document.URL);
                    try { videoEle.pause(); videoEle.muted = true; } catch (e) { console.log(e); }
                }
            } else {
                toApp.reportNotSupportVideoPage(document.URL);
            }
            function getElementTop(el) {
                var theTop = el.offsetTop;
                var current = el.offsetParent;
                while (current !== null) {
                    theTop += current.offsetTop;
                    current = current.offsetParent;
                }
                return theTop;
            }
        }, 300);